
function demo_quadratura_random
% Esempio di quadratura di una funzione definita in [0,1/2], 
% utilizzando N nodi random, con N=20^k, k=1,2,3,4,5. 

% calcolo formula di quadratura
for k=1:5
    N=20^k;
    S=quadratura_random(N);
    SV(k)=S;
end

sol=exp(1/2)-1;
err=abs(SV-sol);

% plot errore
NV=20.^(1:5);
semilogy(NV,err)

% dati a monitor
for k=1:5
    fprintf('\n \t N: %10.0f     err: %1.5e',NV(k),err(k));
end

% dati su file
A=[NV; err];
fid=fopen('risultati.txt','w');
fprintf(fid,'\n \t N: %10.0f     err: %1.5e',A);
fclose(fid);


fprintf('\n');